<form novalidate #f="ngForm" (ngSubmit)="onSubmit(f)">
  <label>
    <span>First Name</span>
    <input
      type="text"
      placeholder="Your first name"
      name="name"
      ngModel
      #userName="ngModel"
      minlength="2"
      required/>
      <span>last Name</span>
      <input
      type="text"
      placeholder="your last name"
      name="name"
      ngModel
      minlength="4"/>
  </label>
  <div *ngIf="userName.errors?.required && userName.touched" class="error">
    Name is required
   </div>
   <div *ngIf="userName.errors?.minlength && userName.touched" class="error">
    Minimum of 2 characters
   </div>
  <div ngModelGroup="account" #userAccount="ngModelGroup">
    <label>
      <span>Email Address</span>
      <input
        type="email"
        placeholder="Your email address"
        name="email"
        ngModel
        #userEmail="ngModel"
        required>
    </label>
    <label>
      <span>Confirm Address</span>
      <input
        type="email"
        placeholder="Confirm your email address"
        name="confirm"
        ngModel
        #userConfirm="ngModel"
        required>
    </label>
    <div *ngIf="userAccount.invalid && userAccount.touched" class="error">
      Both emails are required
    </div>
  </div>
  <button type="submit" [disabled]="f.invalid">Sign up</button>
</form>
